## The SAMS upgrade to the new version

1. Download, unzip and untar the SAMS distribution

tar zxf sams-xxxxxx.tar.gz
cd sams

2. Run the configure script with --help option (./configure --help) to see the users selectable settings.

3. Run the configure (./configure) script with your options.

OPTIONS:

You can change the configure options:
--prefix=PATH - prefix root path eg /usr/local
--with-httpd-locations=PATH - path to the http server root directory
--with-mysql-includes=PATH - path to the mysql includes
--with-mysql-libpath=PATH - path to the mysql libraries

4. "make" ("gmake" for FreeBSD) will now build up SAMS

5. "make install" ("gmake install" for FreeBSD) will create the SAMS directory structure and copy files into the chosen paths.

6. mv sams.conf.old sams.conf

WARNING!
Adding a new function of the SAMS we make modification of a tables structure of the SAMS databases.

7. Run the sams/update/upgrade_mysql_table.php sript.
php update_mysql_table.php

The update_mysql_table.php script make new indexes of the SAMS database and this may be executed a long time